Bug 80486 - FILEOPEN: RTF file opens with a first blank line
Summary: FILEOPEN: RTF file opens with a first blank line
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: interoperability target:4.4.0 target:...
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-06-24 16:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 01:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
highlighted the blank line in 4.3 (376.03 KB, image/png)
2014-06-24 16:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-24 16:30:31 UTC
Created attachment 101678 [details]
highlighted the blank line in 4.3

Opening attachment 98070 [details] in 4.3 and 4.4 has the first line as a blank line with Times New Roman as the font, which is not found in 3.3.0, 4.2.5 and 4.2.6, as well as Kingsoft Writer.
Comment 1 tommy27 2014-06-24 18:21:22 UTC
issue confirmed under Win7x64 using 4.3.0.1.0+
Build ID: 52613b9b632721ebb5167a4d9529c242a0b907da
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-06-23_07:41:56

status NEW
Comment 2 Xisco Faulí 2014-06-27 11:21:31 UTC
bibisected:

4c250572ae8c8781a5818604af20125e9d992030 is the first bad commit
commit 4c250572ae8c8781a5818604af20125e9d992030
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sat May 10 23:57:58 2014 +0000

    source-hash-52263eb4ee841ff101fa54e7fb95d76d2070f91b
    
    commit 52263eb4ee841ff101fa54e7fb95d76d2070f91b
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Mon Jan 6 15:15:15 2014 +0100
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Mon Jan 6 16:37:26 2014 +0100
    
        DOCX export: implement drawingML export of TextFrame AutoSize
    
        Change-Id: I180158bfa0bd36ed1360d10788e7921c2fa945a7

:100644 100644 711777e12295c5972db7458ed3b6adca03616717 05cb5ac747f90e8e3dc7d17919e9b39307b51874 M	ccache.log
:100644 100644 e932875a94f8ee2c1d0fdedc9b0a87929dbecfdd cc2de8eaea591d06bc74e4c1665b111413945171 M	commitmsg
:100644 100644 b46aa9736656e7a84a76c2088aeb76edbe56251d 026258867556299f083e33a691c30fa6ba1ea358 M	make.log
:040000 040000 0134398ee8a546fe917806c9490bda13e9b0c704 d11a9a31c6d5e5f3761ac42864141a489ff43de9 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# skip: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect skip e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [d1cca78ab77d64482b6643bc643d29dbe2dd1442] source-hash-2d19e9bb07ccff3134f855812dddfda5c07b1fe4
git bisect good d1cca78ab77d64482b6643bc643d29dbe2dd1442
# good: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect good 9daa289e178460daaafa4b3911031df5b8736218
# bad: [f1e56b0f09e0a75b8970a8b9892298f0ca210200] source-hash-eeeefd6fd87b3cff18ba9078869bdfcd0e351d6f
git bisect bad f1e56b0f09e0a75b8970a8b9892298f0ca210200
# skip: [9c14d560e000ed66786dfab9f9faa60f158e207b] source-hash-51c647cf744480db7ce1c450f6668727cc75d74b
git bisect skip 9c14d560e000ed66786dfab9f9faa60f158e207b
# bad: [ec2341967bcd9eef6f94604251a18522107f6042] source-hash-4bde4a0d56721dc7cbcec454db7c8def9040cd40
git bisect bad ec2341967bcd9eef6f94604251a18522107f6042
# good: [7bb8b30c4ba0cb495d00562359b30a5c838b3da8] source-hash-0089d3ae9442f26695ae742f5fbdeeaf698861f2
git bisect good 7bb8b30c4ba0cb495d00562359b30a5c838b3da8
# skip: [10aad62814a73c9f547fe1ae8b566b8905e62675] source-hash-e79c706ddda21f850fe3c5a867bacf3982e5b112
git bisect skip 10aad62814a73c9f547fe1ae8b566b8905e62675
# good: [387dd1052972d27a3065a249b357e50e0a29829b] source-hash-35836f350861b33a0c28307a413eff76d0433d1e
git bisect good 387dd1052972d27a3065a249b357e50e0a29829b
# good: [387dd1052972d27a3065a249b357e50e0a29829b] source-hash-35836f350861b33a0c28307a413eff76d0433d1e
git bisect good 387dd1052972d27a3065a249b357e50e0a29829b
# good: [277ceb260ef1f2482baf3c86e9df2787d318b957] source-hash-4f94f16ba15218e5e7a9eb4d72ddb4cb62884dbb
git bisect good 277ceb260ef1f2482baf3c86e9df2787d318b957
# good: [277ceb260ef1f2482baf3c86e9df2787d318b957] source-hash-4f94f16ba15218e5e7a9eb4d72ddb4cb62884dbb
git bisect good 277ceb260ef1f2482baf3c86e9df2787d318b957
# good: [2a3d9160aa946746b49f306e4f8cc5ddcd27d922] source-hash-cff891fc44adcca745bcaa9ae95483bd63aa05ae
git bisect good 2a3d9160aa946746b49f306e4f8cc5ddcd27d922
# good: [6f7541cf54e32992fe5e0cee84f9a7b17c378b76] source-hash-e11a80d0be9db1e8cc1054d166638a99e89defea
git bisect good 6f7541cf54e32992fe5e0cee84f9a7b17c378b76
# bad: [3df91c208de9113ce991e71bb67f175b01f804c8] source-hash-396b3594feb735e1a9cd1564f28340d514f9d925
git bisect bad 3df91c208de9113ce991e71bb67f175b01f804c8
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [4c250572ae8c8781a5818604af20125e9d992030] source-hash-52263eb4ee841ff101fa54e7fb95d76d2070f91b
git bisect bad 4c250572ae8c8781a5818604af20125e9d992030
# first bad commit: [4c250572ae8c8781a5818604af20125e9d992030] source-hash-52263eb4ee841ff101fa54e7fb95d76d2070f91b
Comment 3 Michael Stahl (CIB) 2014-07-22 14:45:27 UTC
regression from:

commit e1afe4318787425dc40f2d0b1f02fa17e925c8da
Author:     Miklos Vajna <vmiklos@collabora.co.uk>
AuthorDate: Sun Jan 5 12:52:42 2014 +0100

    RTF import: handle RTF_FTNSEP and RTF_CHFTNSEP


apparently the \par inside the \ftnsep gets inserted into the document

fixed on master
Comment 4 Commit Notification 2014-07-22 14:46:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75c5679a96437caa6041d2550562f2a4db80d586

fdo#80486 writerfilter: RTF import: ignore \par inside \ftnsep



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-07-29 12:30:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcc4c1a7d4968fa0dc2331e218861f4450ad5225&h=libreoffice-4-3

fdo#80486 writerfilter: RTF import: ignore \par inside \ftnsep


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 11:08:36 UTC
Migrating Whiteboard tags to Keywords: (bibisected, rtf_filter -> filter:rtf)
[NinjaEdit]